//////////////////////////////////////////////////////////////////////////////
//  Author : florent robinet (LAL - Orsay): robinet@lal.in2p3.fr
//////////////////////////////////////////////////////////////////////////////
#include "ffl.h"

using namespace std;

int main (int argc, char* argv[]){

  // check the argument
  if(argc!=2 && argc!=3){
    cerr<<""<<endl;
    cerr<<"usage:"<<endl;
    cerr<<argv[0]<<" [ffl file] ([GPS time])"<<endl; 
    cerr<<""<<endl;
    return 1;
  }

  string fflfile = (string)argv[1];

  ffl *FFL = new ffl(fflfile);

  int n=0;
  if(argc==3){
    while(!FFL->PrintChannels(atoi(argv[2])) && n<5){
      delete FFL; FFL = new ffl(fflfile);
      sleep(n);
      n++;
    }
  }
  else{
    while(!FFL->PrintChannels(0) && n<5){
      delete FFL; FFL = new ffl(fflfile);
      sleep(n);
      n++;
    }
  }

  delete FFL;
  
  return 0;
}

